Subject: bug#74781: [PATCH] Add `browse-url-qutebrowser'

From: Daniel Mendler <[email-masked]>
Date: Wed, 11 Dec 2024 16:36:23 +0100

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Wed, 11 Dec 2024 11:45:38 +0100
>> From:  Daniel Mendler via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> I would be pragmatic and keep the (getenv "XDG_RUNTIME_DIR"), instead of
>> replacing it by this:
>> 
>> (declare-function xdg-runtime-dir "xdg")
>> (require 'xdg)
>> (xdg-runtime-dir)
>
> What if some day we decide that XDG_RUNTIME_DIR can fall back on, say,
> ~/.config/runtime/ ?
>
> xdg.el exists to let us avoid leaking abstractions, so I think we
> should use it even if the function is a trivial wrapper around getenv.

Sure, this could happen in the future. I've changed this in the latest
patch which I've sent.

Daniel